Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jest
Class TokenReplacedStream.Pattern

    java.lang.Object
      org.apache.openjpa.persistence.jest.TokenReplacedStream.Pattern

Enclosing class:
  TokenReplacedStream

    public static class TokenReplacedStream.Pattern

extends Object

Constructor Summary
`TokenReplacedStream.Pattern(String s, String replace)` Construct a pattern and its replacement.

Method Summary
`boolean` | `isMatched()` Is this pattern matched fully? A pattern is fully matched when the matching length is equal to the length of the pattern string.
`int` | `match(char c)` Match the given character with the current cursor and advance the matching length.
`String` | `replace()` Gets the string to be replaced.
`void` | `reset()` Reset the cursor.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TokenReplacedStream.Pattern

    public TokenReplacedStream.Pattern(String s,
                                       String replace)

  Construct a pattern and its replacement.

Method Detail

### match

    public int match(char c)

  Match the given character with the current cursor and advance the matching length.

  Parameters:
    `c` -
  Returns:
    the matching length. -1 denotes the pattern did not match the character.

### reset

    public void reset()

  Reset the cursor. Subsequent matching will begin at start.

### isMatched

    public boolean isMatched()

  Is this pattern matched fully? A pattern is fully matched when the matching length is equal to the length of the pattern string.

### replace

    public String replace()

  Gets the string to be replaced.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.